MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000114IRCBotmodulepublic2016-07-10 11:322016-07-14 06:25
Reporterasohier 
Assigned Toasohier 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Summary0000114: Vote system
DescriptionCommands:
  - askvote <subject>
  - addchoice <choice description>
  - vote [vote id]
  - closevote

askvote:
  - check if a vote is currently opened => refuse to open a new one

addchoice:
  - check if a vote is currently opened => if not, do not add choice
  - prints the choice ID once registered

vote:
  - check if a vote is currently opened => if not refuse to continue
  - if no parameters, print vote resume + choices statistics and ids
  - if id given:
      - verify if id is correct => propose to use addchoice
      - if user already voted, delete his old vote and replaces it by the current one

closevote:
  - can only be run by the vote opener or a trusted user ("admin") if needed
  - if no running vote => propose to use askvote
  - print final statistics and retained choice description


Data:
  - choice id <=> quantity
      - allow to count
  - user nick <=> choice id
      - forbid a user to vote more than once (replaces his old vote if needed)
  - choice id <=> choice desc
  - vote description and the nick of who opened it
    - if None, no running vote
Steps To Reproduceu: @askvote <subject>
b: Vote added.

u: @addchoice <choice desk>
b: Choice added to <number>

u: @vote
b: Vote from <opener user's name>:
b: <vote subject>
b: Available choices:
b: 1/ <choice> (<votes quantity> votes)
b: 2/ <choice> (<votes quantity> votes)

u: @vote 1
b: You voted for 1.
u: @vote 2
b: You already voted for 1. Vote replaced by 2.

u: @closevote
b: <user name>'s vote closed.
b: Choice retained: <description>

u: @vote 42
b: No current vote ! Please see @help askvote
Additional InformationN/A
TagsNo tags attached.
Attached Files

- Relationships
related to 0000115closedasohier Tell when a vote is running to oncoming people 
related to 0000116closedasohier Count total voters in @vote 

-  Notes
(0000066)
asohier (administrator)
2016-07-13 10:51

Implémenté dans le commit 80d5fe11
(0000069)
asohier (administrator)
2016-07-14 06:25

Closed: release v3.4

- Issue History
Date Modified Username Field Change
2016-07-10 11:32 asohier New Issue
2016-07-10 11:33 asohier Description Updated View Revisions
2016-07-10 11:34 asohier Description Updated View Revisions
2016-07-10 11:35 asohier Description Updated View Revisions
2016-07-10 11:38 asohier Description Updated View Revisions
2016-07-10 11:41 asohier Description Updated View Revisions
2016-07-12 18:43 asohier Description Updated View Revisions
2016-07-12 18:43 asohier Steps to Reproduce Updated View Revisions
2016-07-12 18:44 asohier Description Updated View Revisions
2016-07-12 18:48 asohier Description Updated View Revisions
2016-07-12 18:48 asohier Steps to Reproduce Updated View Revisions
2016-07-12 18:49 asohier Steps to Reproduce Updated View Revisions
2016-07-12 18:50 asohier Steps to Reproduce Updated View Revisions
2016-07-13 10:38 asohier Assigned To => asohier
2016-07-13 10:38 asohier Status new => assigned
2016-07-13 10:38 asohier Status assigned => work in progress
2016-07-13 10:51 asohier Note Added: 0000066
2016-07-13 10:51 asohier Status work in progress => resolved
2016-07-13 10:51 asohier Resolution open => fixed
2016-07-13 11:16 asohier Relationship added related to 0000115
2016-07-13 11:18 asohier Relationship added related to 0000116
2016-07-14 06:25 asohier Note Added: 0000069
2016-07-14 06:25 asohier Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker